Package com.independentsoft.office.odf.styles

# Class ChartStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.BaseStyle
com.independentsoft.office.odf.styles.ChartStyle

public class ChartStyle extends BaseStyle
Represents the char styles.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `className, dataStyle, enableAutoUpdate, family, linkedStyleName, listStyle, masterPageName, nextStyle, outlineLevelEmpty, outlineNumberingLevel, parentStyle, styleMappings`

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartStyle()`
  Initializes a new instance of the ChartStyle class.
  `ChartStyle​(String name)`
  Initializes a new instance of the ChartStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `ChartProperties`
  `getChartProperties()`
  Specifies formatting properties for chart.
  `GraphicProperties`
  `getGraphicProperties()`
  Specifies formatting properties for graphic.
  `ParagraphProperties`
  `getParagraphProperties()`
  Specifies formatting properties for paragraph.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `String`
  `toString()`
  Converts the value of the current ChartStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `getClassName, getDataStyle, getFamily, getListStyle, getMasterPageName, getNextStyle, getOutlineNumberingLevel, getParentStyle, getStyleMappings, isEnableAutoUpdate, setClassName, setDataStyle, setEnableAutoUpdate, setListStyle, setMasterPageName, setNextStyle, setOutlineNumberingLevel, setParentStyle, toString`

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartStyle

    public ChartStyle()
    Initializes a new instance of the ChartStyle class.

  - ### ChartStyle

    public ChartStyle​(String name)
    Initializes a new instance of the ChartStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public ChartStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `BaseStyle`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ChartStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `BaseStyle`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Specifies formatting properties for paragraph.
    Returns:
      the paragraph properties

  - ### getGraphicProperties

    public GraphicProperties getGraphicProperties()
    Specifies formatting properties for graphic.
    Returns:
      the graphic properties

  - ### getChartProperties

    public ChartProperties getChartProperties()
    Specifies formatting properties for chart.
    Returns:
      the chart properties